TRAWLDB(1)

NAME
trawldb - CLI for managing trawl configuration resources

SYNOPSIS
trawldb [OPTIONS] [--] [FILENAME]

DESCRIPTION
trawldb is a client CLI utility that allows for managing configuration resources stored by Trawl. Trawl is a resource management tool aimed as an xrdb alternative that is session independent, i.e works on both X11 and Wayland.

OPTIONS

-b, --backup <string>
    backup suffix for -edit (default .bak )

-c, --cpp <CPP>
    preprocessor to use (default /usr/bin/cpp )

-D, --define <DEFINE>

-e, --edit <filename>
    edit resources into file

-g, --get <name>
    get the content of a resource

-h, --help
    Print help information

-I, --include <INCLUDE>

-l, --load <filename>
    load resources from file

-m, --merge <filename>
    merge resources from file & sort

--nocpp
    do not use a preprocessor

-q, --query [<string>...]
    query resources

--remove
    remove resources

-V, --version
    Print version information

AUTHORS
Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>, Ken Gilmer <kgilmer@gmail.com>